Subject: bug#6130: 23.1; artist-mode spray-can malfunction

From: Stefan Monnier <[email-masked]>
Date: Wed, 21 Jan 2015 10:22:44 -0500

The Right Thing to do, AFAICT, is for posnp to return non-nil also when
the `car' is a frame.

For posn-window, the question is more tricky.  I don't think it should
ever return a frame, since its name makes it clear it returns a window.

So we should either make it return nil when the car is a frame, or
signal an error, or return the frame's selected-window, and/or deprecate
it (in favor of a new posn-window-or-frame).

Can someone look at its various users to see what would be best?

        Stefan